#include <stdio.h>

int main()
{
int n[5], m[5], i, j, l, s, k, t, min;
int n1[50],m1[50],z[5]={0,0,0,0,0};

printf("Unesi koliko se takmicara javilo vracari : ");
scanf("%d",&t);

for(i=0;i<t;i++)
{
	printf("Unesi koliki je niz godina kad je zalba odobrena : ");
	scanf("%d",&n[i]);
	for(l=0;l<n[i];l++)
	{
		scanf("%d",&n1[l]);
		if(l==0)
		min=n1[0];
		else if(min>n1[l])
		min=n1[l];
	}
	for(s=0;s<n[i];s++)
	{
		n1[s]-=min;
	}
	printf("Unesi koliki je niz godina kada zalba nije odobrena : ");
	scanf("%d",&m[i]);
	
	for(s=0;s<m[i];s++)
	{
		scanf("%d",&m1[s]);
		m1[s]-=min;
	}
	for( k=2;k<=n1[1];k++)
	{
		for(j=1;j<n[i];j++)
		{
			if(n1[j]%k!=0)
				j=n[i];
			else if(j==n[i]-1)
			{
				for(int g=0;g<m[i];g++)
				{			
					if(m1[g] %k==0)
					{
						j=n[i];
						g=m[i];
					}
					else if (g==m[i]-1)
					{
						z[t] =1;
						k=n1[1];
						g=m[i];
						j=n[i];
					}
				}
			}
		}
	}
}
for(i=0;i<t;i++)
printf("%d\n", z[i] );



getchar();
getchar();
}